@echo off
if "%1"=="whatis" echo Show colorful animation&goto :eof
if exist log_os\LogOS_is_running goto dance
goto error
:error
Echo.
Echo This application can only be run inside Log OS.
Echo.
pause
exit
:dance
if "%sos%"=="true" title Deleting log.txt
if exist log.txt del log.txt
if "%sos%"=="true" title Saving log.txt
if not "%live%"=="true" @echo Dancer cancelled>>log_os\log.txt
if "%sos%"=="true" title Output...
echo Dance mode activated
if "%sos%"=="true" title Changing to color 07
color 07
if not "%now%"=="sklm" ping localhost -n 1 >nul
if "%sos%"=="true" title Changing to color 80
color 80
if not "%now%"=="sklm" ping localhost -n 1 >nul
if "%sos%"=="true" title Changing to color 70
color 70
if not "%now%"=="sklm" ping localhost -n 1 >nul
if "%sos%"=="true" title Changing to color F0
color F0
if not "%now%"=="sklm" ping localhost -n 1 >nul
if "%sos%"=="true" title Changing to color 70
color 70
if not "%now%"=="sklm" ping localhost -n 1 >nul
if "%sos%"=="true" title Changing to color 80
color 80
if not "%now%"=="sklm" ping localhost -n 1 >nul
if "%sos%"=="true" title Changing to color 07
color 07
if "%sos%"=="true" title Returning to command line...
exit
